using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace ChuPiao.AutoPrint.Desktop.Machine
{
    public partial class ConfigListView : UserControl
    {
        public ConfigListView()
        {
            InitializeComponent();
        }

        private void ConfigListView_Load(object sender, EventArgs e)
        {
            //更改属性
            this.listView1.GridLines = true;//显示表格线
            this.listView1.View = View.Details;//显示表格细节
            this.listView1.LabelEdit = true; //是否可编辑,ListView只可编辑第一列。
            this.listView1.Scrollable = true;//有滚动条
            this.listView1.HeaderStyle = ColumnHeaderStyle.Clickable; 
            this.listView1.FullRowSelect = true;//对当行选择，对于子项全部突出设置


            this.listView1.HotTracking = true;;//当鼠标悬停在项上时，允许项显示为超链接

            // 当选择此属性时则HoverSelection自动为true和Activation属性为oneClick
            //this.listView1.HoverSelection = true;
            //this.listView1.Activation = ItemActivation.Standard;
            //添加表头
            this.listView1.Columns.Add("", 0);
            this.listView1.Columns.Add("列1", 80);
            this.listView1.Columns.Add("列2", 160);

            //表头居中

            //listView1.Columns[0].TextAlign = HorizontalAlignment.Center;
            foreach (ColumnHeader i in listView1.Columns)
            {
                i.TextAlign = HorizontalAlignment.Center;
            }
            //添加各项
            ListViewItem[] p = new ListViewItem[2];
            p[0] = new ListViewItem(new string[] { "aaaa", "bbbb" });
            p[1] = new ListViewItem(new string[] { "cccc", "ggggg" });
            p[0].SubItems[0].BackColor = Color.Red;//用于设置某行的背景颜色
            



            this.listView1.Items.AddRange(p);
            //也可以用this.listView1.Items.Add();不过需要在使用的前后添加Begin... 和End...防止界面自动刷新
            // 添加分组
            this.listView1.Groups.Add(new ListViewGroup("tou"));
            this.listView1.Groups.Add(new ListViewGroup("wei"));

            this.listView1.Items[0].Group = this.listView1.Groups[0];
            this.listView1.Items[1].Group = this.listView1.Groups[1];

            //编辑，行（aaaa,bbbb）中"bbbb"->"111"

            listView1.Items[0].SubItems[1].Text = "111";
        }
    }
}
